npm

Need private packages and team management tools?Check out npm Orgs. »

eslint-config-rambler

0.3.1 • Public • Published

npm version Build Status

dotfiles

  • .eslintrc
  • .stylintrc
  • .editorconfig

Rambler&Co Dotfiles for your javascripts and styles. Use the force, Luke!

Install

$ npm i eslint-config-rambler --save-dev

Configure

  1. Copy .editorconfig to project dir (automatically hooks up in Idea, RubyMine and WebStorm, no additional tuning needed)

  2. Copy .stylintrc to project directory

  3. Create .eslintrc in the project root. This file must contains:

    {
        "extends": ["eslint-config-rambler", "./node_modules/eslint-config-rambler/.eslintrc"]
    }
  4. For using eslint-plugin-compat add browserslist section to your package.json

Sublime Text

  1. Install packages

    $ npm install -g eslint
    $ npm install -g babel-eslint
    $ npm install -g eslint-plugin-react
    $ npm install -g stylint
    
  2. Install plugins

    SublimeLinter (full instructions)

    SublimeLinter-contrib-eslint (full instructions)

    SublimeLinter-contrib-stylint (full instructions)

    EditorConfig (EditorConfig)

Atom

  1. Install packages

    $ npm install eslint
    $ npm install babel-eslint
    $ npm install eslint-plugin-react
    $ npm install stylint
    
  2. Install plugins

    $ apm install linter
    $ apm install linter-eslint
    $ apm install linter-stylint
    $ apm install editorconfig
    

    or through Preferences → Install → Install Packages for linter, linter-eslint, linter-stylint and editorconfig

JetBrains editors with support Javascript (WebStorm, IDEA and etc.)

  1. Enable ESLint in Preferences → Languages & Frameworks → JavaScript → Code Quality Tools → ESLint.

  2. Set path in ESLint package as/<project_root or project_node_modules>/node_modules/eslint-config-rambler/node_modules/eslint.

  3. And set path in Configuration file as /<project_root>/.eslintrc.

  4. EditorConfig must works automatically by default. But if it doesn't, then enable EditorConfig plugin and restart IDE.

Vim

  1. Install packages

    $ npm install -g eslint
    $ npm install -g babel-eslint
    
  2. Install vim-plug & pathogen

    $ curl -fLo ~/.vim/autoload/plug.vim --create-dirs \
        https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
    
    $ mkdir -p ~/.vim/autoload ~/.vim/bundle && \
    $ curl -LSso ~/.vim/autoload/pathogen.vim https://tpo.pe/pathogen.vim
    

    If you're using Windows, change all occurrences of ~/.vim to ~\vimfiles.

  3. Add a vim-plug section to your ~/.vimrc

    call plug#begin()
    Plug 'scrooloose/syntastic'
    call plug#end()
    

    Reload .vimrc and :PlugInstall to install plugins.

  4. Add pathogen section to '~/.vimrc'

    execute pathogen#infect()
    syntax on
    filetype plugin indent on
    
  5. Clone editofconfig repo

    $ cd ~/.vim/bundle && \
    $ git clone git://github.com/tpope/vim-sensible.git
    
  6. Add to your ~/.vimrc

    set statusline+=%#warningmsg#
    set statusline+=%{SyntasticStatuslineFlag()}
    set statusline+=%*
    
    let g:syntastic_always_populate_loc_list = 1
    let g:syntastic_auto_loc_list = 1
    let g:syntastic_check_on_open = 1
    let g:syntastic_check_on_wq = 0
    
    let g:syntastic_python_python_exec = '/path/to/python3'
    
    let g:syntastic_python_checkers = ['pep8']
    let g:syntastic_javascript_checkers = ['eslint']
    let g:syntastic_javascript_eslint_args = "--no-eslintrc --config /<project_root>/.eslintrc"
    

Tested in:

  • Sublime Text 3
  • Atom 1.0.7
  • PyCharm 4.0.6
  • WebStorm 10.0.4
  • MacVim

License

MIT © Rambler Digital Solutions

install

npm i eslint-config-rambler

Downloadsweekly downloads

134

version

0.3.1

license

MIT

homepage

github.com

repository

Gitgithub

last publish

collaborators

  • avatar
  • avatar
Report a vulnerability